=== debian/changelog ===
mpage (2.5.4-2) unstable; urgency=low

  * use /tmp not /usr/tmp for temporary files! (closes: #327293)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 13 Sep 2005 20:36:21 +0100

mpage (2.5.4-1) unstable; urgency=low

  * new upstream (closes: #306551)
  * added Greek encodings - thanks to Vassilis Virvilis (closes: #277544)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 14:51:07 +0100

mpage (2.5.3-2) unstable; urgency=low

  * patch from Andreas Jochens to fix compilation error with gcc-4.0
    (closes: #300269)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 19 Mar 2005 11:03:05 +0000

mpage (2.5.3-1) unstable; urgency=low

  * new upstream (closes: #152047, #171330)
  * now depends on libpaper1 not libpaperg (closes: #169484, #174893)
  * NB: old EPS fix dropped. source code has changed significantly and
    now appears to do this.

 -- Adrian Bridgett <bridgett@debian.org>  Sat,  4 Jan 2003 20:05:02 +0000

mpage (2.5.1pre-6) unstable; urgency=low

  * decided that the new libpaper might not fix it so we'll play safe
    and check the return of systempapername()
  
 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:29:11 +0000

mpage (2.5.1pre-5) unstable; urgency=low

  * recompile to get new libpaperg shlibs that will then make mpage depend
    on the libpaper that stopped systempapername returning NULL (closes:
    #89924)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:10:31 +0000

mpage (2.5.1pre-4) unstable; urgency=low

  * fix Build-Depends (closes: #83847)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:37:27 +0000

mpage (2.5.1pre-3) unstable; urgency=low

  * many patches from Andrea Mennucci <mennucci@Tonelli.sns.it>:
     - skips an EPS files included in a postscript file,
       without mangling it (this happened if %%Page is present in
       the EPS file; eg., when a postscript produced by xfig is included
       in a latex file). This fix obsoletes the -k option.
     - -t/-T options (duplex/tumble) improved to better deal with strange
       printer defaults you may meet.
     - docs in /usr/share/doc.
		    
 -- Adrian Bridgett <bridgett@debian.org>  Mon, 10 Apr 2000 20:40:01 +0100

mpage (2.5.1pre-2) unstable; urgency=low

  * put Paul's changes in maintainer release (closes 27232)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Oct 1998 20:05:10 +0100

mpage (2.5.1pre-1.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * make install target tried to mkdir /usr/lib/mpage if it didn't exist.
    It didn't.

 -- Paul Slootman <paul@debian.org>  Tue, 29 Sep 1998 21:22:52 +0200

mpage (2.5.1pre-1) unstable; urgency=low

  * new upstream release

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue,  1 Sep 1998 23:03:07 +0100

mpage (2.5-6) unstable frozen; urgency=low

  * make mp and psprint executable

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 22 Mar 1998 18:09:52 +0000

mpage (2.5-5) unstable; urgency=low

  * fix psprint example script 

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon,  9 Mar 1998 20:13:51 +0000

mpage (2.5-4) unstable; urgency=low

  * removed du file

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 24 Feb 1998 20:42:13 +0000

mpage (2.5-3) unstable; urgency=low

  * don't print outlining messages as they are irritating (fixes 16988)

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 13 Jan 1998 20:06:14 +0000

mpage (2.5-2) unstable; urgency=low

  * uses dh_shlibdeps rather than hardcoded dependencies [fixes 16472]

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun,  4 Jan 1998 20:22:23 +0000

mpage (2.5-1) unstable; urgency=low

  * new upstream release
  * new maintainer

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sat, 20 Dec 1997 00:08:22 +0000

mpage (2.4-7) unstable; urgency=low

  * now using libpaper to determine default paper size.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 14:28:51 +0100

mpage (2.4-6) unstable; urgency=low

  * (quick and dirty) bugfix to handle dvi2ps files. 

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 21 Nov 1997 14:48:32 +0100

mpage (2.4-5) unstable; urgency=low

  * fixed dependency on libc5.

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  3 Nov 1997 10:40:30 +0100

mpage (2.4-4) unstable; urgency=low

  * libc6 release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 16 May 1997 21:50:05 +0200

mpage (2.4-3) unstable; urgency=low

  * fixed some stupid bugs in Makefile and debian/rules

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 20:17:03 +0100

mpage (2.4-2) unstable; urgency=low

  * fixed bug #4634 
    (small bug in debian/rules - cleaned binary-indep section)
  * new debian/* control files (generated with deb-make)

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 17:15:23 +0100

mpage (2.4-1) unstable; urgency=low

  * new upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 18 Sep 1996 13:26:32 +0200

mpage (2.3-1) unstable; urgency=low

  * initial release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 30 Aug 1996 19:48:18 +0200

Local variables:
mode: debian-changelog
End:
