=== debian/control ===
Source: mpage
Section: text
Priority: optional
Maintainer: Adrian Bridgett <bridgett@debian.org>
Build-Depends: debhelper, libpaper-dev (>=1.0.4)
Standards-Version: 3.6.2.1

Package: mpage
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gs
Description: print multiple pages per sheet on PostScript printer 
 Mpage reads plain text files or PostScript documents and prints them on
 a PostScript printer with the text reduced in size so that several
 pages appear on one sheet of paper. This is useful for viewing large
 printouts on a small amount of paper. Uses ISO 8859.1 to print 8-bit
 characters.
