=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
export DH_VERBOSE=1
export DH_COMPAT=4

build:	build-stamp

build-stamp:
	dh_testdir
	# build package
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/lib/mpage usr/bin
	# move files into debian/mpage
	$(MAKE) DESTDIR=debian/mpage install
	dh_installdocs Characters Encoding.format FAQ NEWS README TODO
	cp -r Contrib debian/mpage/usr/share/doc/mpage
	dh_installmanpages
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	chmod 0755 debian/mpage/usr/share/doc/mpage/Contrib/mp debian/mpage/usr/share/doc/mpage/Contrib/psprint
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
